From 4301f3ca51cada2595248758daf64d40be5bbfb1 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 05 2020 17:29:52 +0000
Subject: [PATCH 550/2232] Simplify discriminant overflow check


---

diff --git a/syntax/parse.rs b/syntax/parse.rs
index 7e4422d..602a269 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -111,7 +111,7 @@ fn parse_enum(item: ItemEnum) -> Result<Api> {
                 ));
             }
         }
-        if variant.discriminant.is_none() && prev_discriminant.unwrap_or(0) == u32::MAX {
+        if variant.discriminant.is_none() && prev_discriminant == Some(u32::MAX) {
             let msg = format!("discriminant overflow on value after {}", u32::MAX);
             return Err(Error::new_spanned(variant, msg));
         }

